package pijcke.net.kotlin.example.`point-generator`

import pijcke.net.kotlin.example.`point-generator`.exporter.GnuplotExporter
import pijcke.net.kotlin.example.`point-generator`.generator.GaussianNoiseGenerator
import pijcke.net.kotlin.example.`point-generator`.generator.SineGenerator
import java.io.File

fun main() {
    val generator = GaussianNoiseGenerator(SineGenerator(1.0, 0.0, 1.0, 0.0), 0.3)
    val exporter = GnuplotExporter()

    val points = generator.generatePoints(0.0, 1.0, 1000)
    exporter.export(points, File("data"))

    ProcessBuilder("gnuplot", "-persist", "-e", "plot 'data'").start().waitFor()
}